%define upstream_name    XML-Atom
%define upstream_version 0.41

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl Module for Processing Atom Feeds
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(URI)
BuildRequires: perl(XML::LibXML) >= 1.690.0
BuildRequires: perl(XML::XPath)
BuildArch:  noarch

Requires:   perl(XML::LibXML)
%description
Perl Module for processing Atoms feed and that provides access to the Atom
API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
SKIP_SAX_INSTALL=1 CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.yml README
%{perl_vendorlib}/XML
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.410.0-2.mga3
+ Revision: 374940
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 0.410.0-1.mga2
+ Revision: 154506
- update to 0.41

* Mon Sep 26 2011 jquelin <jquelin> 0.400.0-1.mga2
+ Revision: 148251
- update to 0.40

* Tue Jun 21 2011 jquelin <jquelin> 0.390.0-1.mga2
+ Revision: 111462
- update to 0.39

* Wed Jun 15 2011 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 107584
- update to 0.38

* Mon Jan 24 2011 jquelin <jquelin> 0.370.0-1.mga1
+ Revision: 36700
- mageia rebuild
- imported package perl-XML-Atom

